/*
 * adc.c
 *
 * Created: 15/12/2013 22:54:14
 *  Author: Nicolas
 */ 

#include "adc.h"

/** 
  * \fn adc_init
  * \brief Initialisation de l'ADC
  */
void adc_init(void)
{
	ADMUX |= _BV(REFS0); // vref = avcc
	ADCSRA |= _BV(ADPS2) | _BV(ADPS1) | _BV(ADPS0) | _BV(ADEN); // prescalle = 128 (freq/prescalle), activation de l'adc
}

/** 
  * \fn adc_read
  * \brief Lit la valeur provenant du port analogique voulut.
  * \param[in] channel : canal  lire
  * \return Retourne la valeur reu de l'ADC
  */
unsigned int adc_read(unsigned char channel)
{
	ADMUX = (ADMUX & 0xF0) | (channel & 0x0F); // choix du canal
	ADCSRA |= _BV(ADSC); // single mode
	while(ADCSRA & _BV(ADSC)){};
	return ADC;
}