/**
  * \file pwm.c
  * \brief Gestion de la PWM
  * \author Nicolas Husse
  * \version 0.1
  * \date 03 Janvier 2014
*/

#include "pwm.h"
 
/**
  * \fn pwm_init
  * \brief Initialise le PWM
  */
void pwm_init(void)
{
	DDRD |= (1 << 3) | (1 << 5) | (1 << 6);
	
	TCCR0A |= (1 << COM0A1) | (1 << WGM01) | (1 << WGM00);
	TCCR0B |= (1 << CS00); // Pas de prescaler
	
	TCCR2A |= (1 << COM2A1) | (1 << WGM21) | (1 << WGM20);
	TCCR2B |= (1 << CS20); // Pas de prescaler
}
 
/**
  * \fn pwm_value
  * \brief Donner une nouvelle valeur au port voulue
  * \param[in] port : Port choisi
  * \param[in] value : Valeur choisi
  */
void pwm_value(unsigned char port, unsigned char value)
{
	port = value;
}